Package Details: planeshift 0.6.3-1

Git Clone URL: (read-only)
Package Base: planeshift
Description: Open source and cross-platform 3D Fantasy MMORPG
Upstream URL:
Licenses: GPL, custom:PlaneShift Content License
Submitter: None
Maintainer: None
Last Packager: xyproto
Votes: 101
Popularity: 0.003028
First Submitted: 2006-08-27 16:56
Last Updated: 2015-06-10 13:16

Latest Comments

xyproto commented on 2015-01-03 22:01

Updated to 0.6.3. Thanks for the notification, os7een.

os7een commented on 2014-12-25 00:56

Version 0.6.3 is out.
Thanks for maintaining it.

xyproto commented on 2014-08-08 11:39

patch is in base-devel. All AUR users are expected to have installed the packages in the base and base-devel groups. Here is the Getting Started guide:

vn158 commented on 2014-08-07 15:42

0.6.1-1: /tmp/yaourt-tmp-root/aur-planeshift/./PKGBUILD: řádek 85: patch: command not found

I recommend add patch to makedepends.

Bringham commented on 2014-04-12 17:01

That goes to show how much I actually know, I'll keep in in mind. Thanks!

xyproto commented on 2014-04-12 14:44

Updated to 0.6.1. Thanks, Bringham. Note that just flagging the package as out of date also works, when there is an update available. :)

Bringham commented on 2014-04-09 20:11

Version 0.6.1 released:

xyproto commented on 2013-11-25 13:08

Thanks, marcus-aurelius. Updated to 0.6.0.

marcus-aurelius commented on 2013-11-25 09:24

Version 0.60 released:

xyproto commented on 2013-09-21 17:17

This package was flagged out of date, but I can not see a new version on the Planeshift webpage. Unflagging as out of date. Please leave a comment with the latest version number if a new version really is out.

xyproto commented on 2013-04-06 15:00

Updated to

xyproto commented on 2013-04-06 12:13

Thanks gatoso, the package will be updated shortly.

Anonymous comment on 2013-04-06 05:05

Here you can find download links for version

xyproto commented on 2013-03-20 16:16 is out and I wish to update the package, but I can't find any download links to yet. Please flag this package as out-of-date again when they appear. Thanks.

xyproto commented on 2012-11-20 22:14

Thaodan, this package was switched from building from source to using the regular binary releases because it didn't build (and/or had too many problems over time). If it builds from source on Arch Linux now, or if you (or anyone else) have a working PKGBUILD for building from source, I would be happy to use that instead.

Thaodan commented on 2012-11-20 19:18

May replace this with a source package?

xyproto commented on 2012-10-14 18:16

Updated to The official download links seems to be down, please seed the torrent if you can.

xyproto commented on 2012-08-15 21:49

Reded, thanks for figuring this one out. Please consider reporting the --no-conf problem upstream to the aria2 developers.
Here is the bug tracker for aria2:

Reded commented on 2012-08-07 21:14

OK, as I suspected it was a problem with my aria2.conf file.

I renamed my usual aria2.conf to aria2.conf.old, and the download has begun!

I guess to fix this you could add the part in the pkgbuild that starts up aria2 to use the --no-conf flag so it doesn't conflict with my own .conf file!

I tried putting this in the pkgbuild line but it didn't seem to work, but by renaming my normal .conf file I managed to download the planeshift file successfully.

Reded commented on 2012-08-07 18:50

Well, the pkgbuild says this before the error:

Filesystem Size Used Avail Use% Mounted on
tmpfs 4.0G 128M 3.8G 4% /tmp

And my HDD itself has a little over 70GB free.

I've tried increasing tmpfs to 5 and 6gb too. I'll hunt around for a fix, have a check to see if this is on my end!

xyproto commented on 2012-08-07 11:46

Reded, are you sure you have enough disk space? Updated the PKGBUILD to check this. Does it work for you now?

Reded commented on 2012-08-07 01:10

That's the only error I got, and I'm not firewalled :P

I notice it didn't actually download the client at all, which I'm slightly confused about.

I use aria2 as my usual downloader already, so maybe it's that my own aria2 settings conflict with how the pkgbuild expects it to behave when downloading the client?

Reded commented on 2012-08-07 00:57

That's the only error I got, and I'm not firewalled :P

I notice it didn't actually download the client at all, which I'm slightly confused about.

I use aria2 as my usual downloader already, so maybe it's that my own aria2 settings conflict with how the pkgbuild expects it to behave when downloading the client?

xyproto commented on 2012-08-06 21:23

Reded, the PKGBUILD works here. What kinds of errors did you get? (Before "Extracting") Are you behind an overly strict firewall?

Reded commented on 2012-08-06 20:09

-> Extracting the (large) file...
chmod: cannot access ‘PlaneShift-*.run’: No such file or directory
==> ERROR: A failure occurred in package().
==> ERROR: Makepkg was unable to build planeshift.

PKGBUILD Failure right at the start!

xyproto commented on 2012-06-05 00:13

Updated to

xyproto commented on 2012-04-17 18:23

@lisu_ml, I get the same errors.

Please report bugs upstream at

xyproto commented on 2012-04-17 12:53

@lisu_ml, thanks, I'll look at it

lisu_ml commented on 2012-04-17 11:13

How to run it? I tried both from desktop entry and from the command line, but I can see milions of errors:

ART ERROR: Invalid material reference '' in terrain 'gugROCK_LEFT04' object in sector 'gugrontid'
ART ERROR: Invalid texture reference 'lightmaps_hybdr_6_png' in ShaderVar 'tex lightmap'
ART ERROR: Invalid material reference '' in meshobj 'gugROCK_LEFT04' submesh in sector 'gugrontid'
ART ERROR: Invalid texture reference 'lightmaps_gugrontid_1_png' in ShaderVar 'tex lightmap'
ART ERROR: Invalid texture reference 'lightmaps_gugrontid_1_d1_png' in ShaderVar 'tex lightmap dir 1'

and similar

xyproto commented on 2012-04-13 18:25

Updated to 0.5.9. Thanks, karnath. Also, the "Flag Out-of-date" button works when there is a new release. :)

Anonymous comment on 2012-04-12 20:53


xyproto commented on 2011-11-29 08:04

Hi panth0r, thanks for the tip. It should also be possible to set the TMPDIR environment variable to a directory with more space, for yaourt. Other settings applies for other AUR helpers.

panth0r commented on 2011-11-29 05:26

Hello! First thanks to trontonic for maintaining this game; I couldn't find an entry on the wiki (for planeshift, though I'm tempted to add it to yaourt's wiki page) so hopefully this is an appropriate enough place to make this comment.

When installing with yaourt (with "yaourt planeshift"), it was necessary to increase the size of my /tmp directory in /etc/fstab according to these instructions:

While installing, I noticed the largest amount used in /tmp was 2.3 GB; however, before installing, I increased mine to 4 GB temporarily, so cannot speak for any other method.


xyproto commented on 2011-11-28 08:22

Updated to 0.5.8.

Anonymous comment on 2011-11-27 22:42

0.5.8 is out

xyproto commented on 2011-08-08 19:19

Enverex, it will seed for maximum a minute, and nothing is being raped. The internet tubes can send little packages both ways. The alternative is slower non-torrent downloads, and the regular planeshift links are often dead.

Enverex commented on 2011-08-08 18:05

I really wouldn't recommend using a torrent program for file downloads. I know that I wouldn't like my upstream being raped by a program without me realising it (only noticed the terminal output by accident).

Setting the seed time and upstream speed to nothing would be better, but still not ideal.

xyproto commented on 2011-06-06 00:31

Updated to 0.5.7.

xyproto commented on 2011-06-05 21:17

All the linux links on the download page are dead, and the md5 checksum listed on the download page does not match the torrent checksum, so I'll wait until one or more of these things are in order before updating this package to 0.5.7.

Anonymous comment on 2011-04-27 19:44

Confirmed it installs OK on i686

xyproto commented on 2011-04-27 18:12

Updated to version 0.5.6. Used metalink for the download.

xyproto commented on 2011-04-27 16:47

Adopted the package. Trying to find a download link that works.

Anonymous comment on 2011-03-23 14:44

Comment by: Huulivoide on Thu, 17 Mar 2011 17:38:13 +0000
ShawnB391: You need to use pacman to unisntall apps in Arch XDXD
pacman -R planeshift

I understand how to uninstall programs, I'm saying there was an error. (remove is my alias for pacman -Rns)

[shawn@laptop ~]$ sudo pacman -Rns planeshift
error: 'planeshift': could not find or read package
[shawn@laptop ~]$ find / -name planeshift

I'll manually remove these files, I'm just curious as to why pacman couldn't take care of this for me..

Gimmeapill commented on 2011-03-20 14:12

In the meantime, here's an updated pkgbuild:

Gimmeapill commented on 2011-03-20 13:40

In the meantime, here's an updated pkgbuild:

Huulivoide commented on 2011-03-17 17:55

Im trying to get this to build from source, so please
wait a while and let me update this.

Huulivoide commented on 2011-03-17 17:38

ShawnB391: You need to use pacman to unisntall apps in Arch XDXD
pacman -R planeshift

Anonymous comment on 2011-03-15 22:10

I can't seem to remove this package... Does anyone know what could be causeing this?

[shawn@laptop ~]$ remove planeshift
error: 'planeshift': could not find or read package
[shawn@laptop ~]$ planeshift
/usr/bin/planeshift: line 3: /tmp/packerbuild-0/planeshift/planeshift/pkg/opt/PlaneShift/pslaunch: Permission denied
/usr/bin/planeshift: line 3: exec: /tmp/packerbuild-0/planeshift/planeshift/pkg/opt/PlaneShift/pslaunch: cannot execute: Permission denied

I get the same error even with sudo...

schuay commented on 2010-12-31 13:47

Done, thanks.

xyproto commented on 2010-12-30 18:45

"rm -f" instead of just "rm" fixes the error I got when trying to build this package:
rm: cannot remove «planeshift»

rnestler commented on 2010-12-14 19:21

planeshift 0.5.5 is out

rnestler commented on 2010-12-14 19:15

planeshift 0.5.5 is out

sycoso commented on 2010-10-07 19:54

You should run planeshift-setup before running planeshift (and trying to connect to a server ;))

schuay commented on 2010-06-30 06:30

Adopted as requested on aur-general and updated to 0.5.4 based on Gimmeapills PKGBUILD.

gwash commented on 2010-06-26 13:12

@Morfeo: orphaned, thank you.

M0Rf30 commented on 2010-06-26 08:46

I could adopt this package

Gimmeapill commented on 2010-06-20 21:27

@gwash: no, sorry. I don't really play the game, and I lack time as well.
All the more, there seem to be a bit more work required to get this thing run correctly on Arch...

gwash commented on 2010-06-19 11:32

@Gimmeapill: I don't have time to keep maintaining planeshift, are you interested in taking it over?

Gimmeapill commented on 2010-06-19 09:26

OK, here's an updated pkgbuild that works with 0.5.4:

Gimmeapill commented on 2010-06-16 18:03

0.5.4 is out

gwash commented on 2010-05-04 07:05

package is up for adoption (leave a comment).

gwash commented on 2010-04-07 12:37

upgraded to v0.5.3; sorry for the delay there was some kind of problem with the mirror sites and didn't bother to check back every second...